# $Revision: 1.39 $, $Date: 2008/07/27 22:53:23 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	ICQ
Summary:	Net::ICQ perl module
Summary(pl.UTF-8):	Moduł perla Net::ICQ
Name:		perl-Net-ICQ
Version:	0.16
Release:	8
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0fd10c3daa3aa6e406f0bee4ba22a994
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Text-LineEditor
Requires:	perl-Text-LineEditor
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::ICQ - simple ICQ client in Perl.

%description -l pl.UTF-8
Net::ICQ - prosty klient ICQ.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README* test*.pl
%{perl_vendorlib}/Net/ICQ.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-ICQ.spec,v $
Revision 1.39  2008/07/27 22:53:23  arekm
- release 8

Revision 1.38  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.37  2007/02/12 00:49:42  baggins
- converted to UTF-8

Revision 1.36  2004/11/03 22:30:36  paladine
- formatting

Revision 1.35  2004/05/07 01:24:28  ankry
- rel. 7

Revision 1.34  2004/05/06 18:20:45  ankry
- fixed perl-devel BR

Revision 1.33  2004/04/27 00:33:14  ankry
- tests added, other fixes

Revision 1.32  2003/09/09 10:24:43  ankry
- spaces -> tab

Revision 1.31  2003/08/18 08:09:03  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.30  2003/05/28 13:00:53  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 06:24:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.27  2003/03/01 20:21:49  radek
- should be ready for perl-5.8.0; release++

Revision 1.26  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.25  2003/02/18 15:37:02  ankry
- massive attack: change CPAN URLs

Revision 1.24  2002/11/26 00:14:20  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.23  2002/07/10 08:48:07  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.22  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.21  2002/02/25 10:33:14  depesz
cleanup; revision++

Revision 1.20  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/13 14:19:00  depesz
automatic: Source location unfied, Relase Up

Revision 1.18  2002/02/10 15:29:40  depesz
adapterized

Revision 1.17  2002/01/18 02:14:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.15  2001/04/17 23:53:54  baggins
- fixed %%doc

Revision 1.14  2001/04/17 12:13:20  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.12  2001/03/02 11:47:40  areq
- 0.16

Revision 1.11  2001/02/20 15:56:00  mis
- updated (by autoup) to 0.15

Revision 1.10  2001/02/19 14:58:33  mis
- updated (by autoup) to 0.13

Revision 1.9  2001/01/19 05:46:57  kloczek
- do not include .packlist in %files,
- spec adapterized.

Revision 1.8  2001/01/13 01:01:55  dobrek
-Req:perl>=5.6 ;Realase=4;New rpm automat

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 23:57:53  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
